/*
 * poly.hpp
 *
 *  Created on: Oct 18, 2011
 *      Author: Travis Portz
 */

#ifndef POLY_HPP
#define POLY_HPP

#include <vector>

// Returns the largest real root of polynomial p[0]*x^(n-1) + p[1]*x^n + ... + p[n-2]*x + p[n-1]
double largest_real_root(const std::vector<double>& p);

#endif /* POLY_HPP */
